Bug 81127 - Some mountpoints cause filesystem rpm to fail
Some mountpoints cause filesystem rpm to fail
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-05 01:47 EST by Damian Menscher
Modified: 2007-04-18 12:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-25 10:58:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Menscher 2003-01-05 01:47:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
If you have a mountpoint such as /usr/local or /var/mail, it will cause the
install to fail at the filesystem rpm.  Apparently it tries creating these
directories, and is confused that they already exist.  Changing the mountpoints
to /usrlocal and /varmail allowed it to proceed, and I can fix them after the
install.

Yes, this sounds unbelievable.  And it is.  Which is why it took me about 20
hours to diagnose.  I am NOT a happy camper.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Create /var/mail and /usr/local mount points
2.
3.
    

Actual Results:  Failed to install on package filesystems.

Expected Results:  Normal install.

Additional info:

I used disk druid to partition, but I doubt it matters.
Comment 1 Damian Menscher 2003-01-05 22:45:46 EST
Further testing revealed is was the /var/mail mountpoint causing the problem,
not the /usr/local one.  Apparently under RH, /var/mail is a symlink to
/var/spool/mail.  If /var/mail exists already as a mountpoint, the symlink
fails, causing the filesystem rpm to fail, and killing the install.  The "fix"
is to create /var/spool/mail as your mountpoint.  Obviously it would be nice if
a descriptive error were given, rather than just aborting the install.
Comment 2 Michael Fulbright 2003-01-08 16:05:46 EST
I will add this to the list of mount points we blacklist.
Comment 3 Michael Fulbright 2003-01-08 16:18:25 EST
Fixed.
Comment 4 Brent Fox 2003-05-25 10:58:24 EDT
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.

Note You need to log in before you can comment on or make changes to this bug.